<?php

namespace Planaday\Html\Tags\Admin;

use Planaday\Html\Tags\Admin\ConnectorCheck\ConnectorCheck;
use Planaday\Html\Tags\Admin\Pages\PageTagHandler;
use Planaday\Html\Tags\TagHandlerTemplate;
use Planaday\Utility\DependencyInjection\Container;

class AdminTagHandler extends TagHandlerTemplate {


	public function __construct() {
		$this->tags = [
			ConnectorCheck::TAG => function ( Container $registry ) {
				return new ConnectorCheck( $registry );
			}
		];

		$this->tagHandlers = [
			new PageTagHandler()
		];
	}
}